<mat-sidenav-container 
  class="side-nav-container"
  [style.marginTop.px]="(isBreakpoint$ | async) ? 56 : 64">
  <mat-sidenav #sideNav class="side-nav" fixedTopGap="56"
    [fixedInViewport]="(isBreakpoint$ | async)"
    [attr.role]="(isBreakpoint$ | async) ? 'dialog' : 'navigation'"
    [mode]="(isBreakpoint$ | async) ? 'over' : 'side'"
    [opened]="!(isBreakpoint$ | async)">
    <mat-nav-list>
      <a *ngFor="let key of featureKeys" mat-list-item routerLinkActive="active-link"
        [routerLink]="features[key]?.path" 
        (click)="onClickNav($event)">
        {{ features[key]?.name }}
      </a>
    </mat-nav-list>
  </mat-sidenav>
  <mat-sidenav-content #content [ngClass]="contentClass">
    <ng-content></ng-content>
  </mat-sidenav-content>
</mat-sidenav-container>